Subject: bug#33817: dejagnu(1) fails to find commands specified with spaces and no arguments

From: Jacob Bachmeyer <[email-masked]>
Date: Fri, 21 Dec 2018 00:06:23 -0600

The supplemental patch that fixed erroneous use of "shift" in dejagnu(1) 
also introduced a bug.  (I knew there was a reason I had removed that 
previously.)  The dejagnu(1) launcher is supposed to treat "multi-word 
command" as equivalent to "multi-word-command", but at present will 
(incorrectly) fail to find the command if the former form is used 
without other arguments.  The testsuite misses this bug because (oops) 
all of the command tests use verbose mode.

I already have a patch to fix this; I am writing this because I want a 
bug number to put in the testcase, and I think that this list is tied 
into a debbugs instance now.  :-)

-- Jacob